import { apiArr } from '../../api/user';
import apiArr2 from '../../api/water_filter';
let util = require('../../utils/util')
// pages/RechargeRecord/RechargeRecord.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        List: [],
        page_size: 10,
        page_num: 1,
        flag: false
    },

    getTrans() {
        let that = this
        util.postUrl(apiArr2.getTrans, {
            page_num: that.data.page_num,
            page_size: that.data.page_size,
        }, res => {
            let flag = false
            if (res.rows && res.rows.length == that.data.page_size) {
                flag = true
            } else {
                flag = false
            }
            if(res.rows){
                that.setData({
                    flag,
                    List: that.data.List.concat(res.rows)
                })
            }
        })
    },
    desc(e) {
        wx.navigateTo({
            url: `/pages/RechargeRecordDesc/RechargeRecordDesc?item=${e.currentTarget.dataset.item}`,
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let that = this
        that.getTrans()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})